# Namespace: logger

## logger

Provides logging capabilities.

Source:
  - logger.js, line 7

### Members

#### (static) events

Holds events created by user, to be sent back to BeEF

Source:
  - logger.js, line 21

#### (static) id

Internal logger id

Source:
  - logger.js, line 17

#### (static) in_submit

Prevents from recursive event handling on form submission

Source:
  - logger.js, line 50

#### (static) stream

Holds current stream of key presses

Source:
  - logger.js, line 25

#### (static) target

Contains current target of key presses

Source:
  - logger.js, line 29

#### (static) time

Holds the time the logger was started

Source:
  - logger.js, line 33

### Methods

#### (static) click()

Click function fires when the user clicks the mouse.

Source:
  - logger.js, line 155

#### (static) console()

Console function fires when data is sent to the browser console.

Source:
  - logger.js, line 222

#### (static) copy()

Copy function fires when the user copies data to the clipboard.

Source:
  - logger.js, line 198

#### (static) cut()

Cut function fires when the user cuts data to the clipboard.

Source:
  - logger.js, line 210

#### (static) e()

Holds the event details to be sent to BeEF

Source:
  - logger.js, line 37

#### (static) get_dom_identifier()

Translate DOM Object to a readable string

Source:
  - logger.js, line 296

#### (static) get_id()

Get id

Source:
  - logger.js, line 147

#### (static) get_timestamp() → {String}

Formats the timestamp

Source:
  - logger.js, line 312

##### Returns:

timestamp string

Type
  String

#### (static) keypress(e:)

Keypress function fires everytime a key is pressed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`e:` | Object | event object

Source:
  - logger.js, line 186

#### (static) parse_stream()

Parses stream array and creates history string

Source:
  - logger.js, line 320

#### (static) paste()

Paste function fires when the user pastes data from the clipboard.

Source:
  - logger.js, line 234

#### (static) push_stream()

Pushes the current stream to the events queue

Source:
  - logger.js, line 285

#### (static) queue()

Queue results to be sent back to framework

Source:
  - logger.js, line 350

#### (static) start()

Starts the logger

Source:
  - logger.js, line 55

#### (static) stop()

Stops the logger

Source:
  - logger.js, line 130

#### (static) submit()

Submit function fires whenever a form is submitted TODO: Cleanup this function

Source:
  - logger.js, line 247

#### (static) win_blur()

Fires when the window element has lost focus

Source:
  - logger.js, line 176

#### (static) win_focus()

Fires when the window element has regained focus

Source:
  - logger.js, line 167